#!/bin/sh
# Removes all profiles with 'NT_Process' and rewrites them.
# on the complete TMR
echo ""
echo "Convert all profiles containing NT_Process/NT Service Status monitor"

echo "Creating profile list"
this=`wlookup -ar SentryProfile -o | awk -F# '{print $1}'`
if [ $? -eq 0 ]; then
for i in $this
do
  sp_name=`idlattr -tgv $i label Object`
  if [ "$sp_name" != "TivoliSentryDefaults" ]; then
    mana=`idlattr -tgv $i profile_organizer Object`
    if [ $? -eq 0 ]; then
      name=`idlattr -tgv $mana label Object`
    fi
    profile=`idlattr -tgv $i label Object`
    ####
    #### wlsmon -sa "$profile" > profile.$$.$i.sh
    ####
    #### remove wdel
    #### remove wcrtprf
    ####
    fname=$profile.$$.$i.sh
    wlsmon -sa "$profile" > "$fname"
    if [ $? -eq 0 ]; then
      grep "'NT_Process' 'NtServices'" "$fname" > /dev/null 2>&1
      if [ $? -eq 0 ]; then
        echo "Converting $profile"
        ## modify the addmon script
        cat "$fname" | sed "/NtServices/s/-t/-a '\/B \/E' -t/" > "$fname.b"
	mv "$fname.b" "$fname"
        wdel @SentryProfile:"$profile"
        if [ $? -eq 0 ]; then 
          wcrtprf @ProfileManager:"$name" SentryProfile "$profile"
          chmod 777 "$fname"
          ./"$fname"
        fi
      fi
    fi
    if [ -f "$fname" ]; then
    rm "$fname"
    fi
fi
done
fi
echo "Processing complete"
